Package ghidra.app.util.bin.format.pe.cli.blobs

# Class CliAbstractSig.CliConstraint

java.lang.Object
ghidra.app.util.bin.format.pe.cli.blobs.CliAbstractSig.CliConstraint

All Implemented Interfaces:
  `CliRepresentable`

Enclosing class:
  `CliAbstractSig`

public static class CliAbstractSig.CliConstraint extends Object implements CliRepresentable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CliConstraint(BinaryReader reader)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CliAbstractSig.CliElementType`
  `getConstraint()`
  `String`
  `getRepresentation()`
  `String`
  `getRepresentation(CliStreamMetadata stream)`
  `String`
  `getShortRepresentation()`
  `String`
  `getShortRepresentation(CliStreamMetadata stream)`
  `static boolean`
  `isConstraint(BinaryReader reader)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CliConstraint

    public CliConstraint(BinaryReader reader) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### isConstraint

    public static boolean isConstraint(BinaryReader reader) throws IOException
    Throws:
      `IOException`

  - ### getConstraint

    public CliAbstractSig.CliElementType getConstraint()

  - ### getRepresentation

    public String getRepresentation()
    Specified by:
      `getRepresentation` in interface `CliRepresentable`

  - ### getShortRepresentation

    public String getShortRepresentation()
    Specified by:
      `getShortRepresentation` in interface `CliRepresentable`

  - ### getRepresentation

    public String getRepresentation(CliStreamMetadata stream)
    Specified by:
      `getRepresentation` in interface `CliRepresentable`

  - ### getShortRepresentation

    public String getShortRepresentation(CliStreamMetadata stream)
    Specified by:
      `getShortRepresentation` in interface `CliRepresentable`